Issue 28452 - gcc34 sal patch
Summary: gcc34 sal patch
Status: CLOSED FIXED
Alias: None
Product: porting
Classification: Code
Component: code (show other issues)
Version: OOo 1.1.1
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.0
Assignee: fa
QA Contact: issues@porting
URL:
Keywords:
Depends on:
Blocks: 28294
  Show dependency tree
 
Reported: 2004-04-28 08:50 UTC by nkukard
Modified: 2004-08-11 17:29 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
explicitly specify scope of members for some Mutex class methods (373 bytes, text/plain)
2004-04-28 08:52 UTC, nkukard
no flags Details
instead of using this->, use class name (563 bytes, patch)
2004-05-05 20:56 UTC, fa
no flags Details | Diff
Use real class name ResettableGuard, instead of superclass ClearableGuard (565 bytes, patch)
2004-05-05 20:58 UTC, fa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description nkukard 2004-04-28 08:50:39 UTC
gcc 3.4 tightens up rules about when members can be referenced in templates.


In file included from oo_1.1.1_src/sal/rtl/source/bootstrap.cxx:76:
../../inc/osl/mutex.hxx: In member function `void osl::ResettableGuard<T>::reset()':
../../inc/osl/mutex.hxx:248: error: `pT' undeclared (first use this function)
../../inc/osl/mutex.hxx:248: error: (Each undeclared identifier is reported only
once for each function it appears in.)

See http://gcc.gnu.org/onlinedocs/gcc/Name-lookup.html
Comment 1 nkukard 2004-04-28 08:52:36 UTC
Created attachment 14833 [details]
explicitly specify scope of members for some Mutex class methods
Comment 2 fa 2004-05-05 20:56:07 UTC
Created attachment 14995 [details]
instead of using this->, use class name
Comment 3 fa 2004-05-05 20:58:55 UTC
Created attachment 14996 [details]
Use real class name ResettableGuard, instead of superclass ClearableGuard
Comment 4 fa 2004-05-05 20:59:23 UTC
.
Comment 5 irf 2004-05-08 18:39:32 UTC
confirm Wed May 5 12:58:00 -0700 2004: sal-gcc34.patch works fine 
Comment 6 Martin Hollmichel 2004-05-12 14:17:17 UTC
set target milestone to 2.0
Comment 7 fa 2004-06-04 16:04:22 UTC
committed to cws_src680_gcc34fixes01
Comment 8 jens-heiner.rechtien 2004-08-11 17:29:18 UTC
closing ...